ViewThemes  PROGRAM   !Steve Lewis, Aphelion Software, slewis@aphelioninc.com

            MAP
              Main
            END


  CODE
  Main()

Main PROCEDURE

ColorName        STRING(10)
PathName         STRING(100)
BackgroundNumber BYTE(6)

AppFrame APPLICATION('View Themes'),WALLPAPER('C:\CLARION4\IMAGES\THEMES\BLUE\Bkgnd6.gif'),TILED,SYSTEM, |
         MAX,MAXIMIZE,RESIZE
       MENUBAR
         MENU('&Theme'),USE(?Theme)
           ITEM('&Blue'),USE(?ThemeBlue)
           ITEM('&Gray'),USE(?ThemeGray)
           ITEM('&Yellow'),USE(?ThemeYellow)
         END
         ITEM('&Exit'),USE(?Exit)
       END
       TOOLBAR,AT(0,0,,25)
         BUTTON,AT(1,1,33,23),USE(?Button1),ICON('C:\CLARION4\IMAGES\THEMES\BLUE\Canprint.gif'),FLAT
         BUTTON,AT(35,1,33,23),USE(?Button2),ICON('C:\CLARION4\IMAGES\THEMES\BLUE\Insert.gif'),FLAT
         BUTTON,AT(69,1,33,23),USE(?Button3),ICON('C:\CLARION4\IMAGES\THEMES\BLUE\Edit.gif'),FLAT
         BUTTON,AT(103,1,33,23),USE(?Button4),ICON('C:\CLARION4\IMAGES\THEMES\BLUE\Delete.gif'),FLAT
         SPIN(@n1),AT(191,6,41,12),USE(BackgroundNumber),RANGE(1,6),STEP(1)
         STRING('Background #:'),AT(141,8),USE(?String1)
       END
     END

  CODE
  OPEN(AppFrame)
  ColorName = 'BLUE'
  DO SetTheme
  ACCEPT
    IF FIELD() = ?BackgroundNumber
      CASE EVENT()
      OF EVENT:Accepted
      OROF EVENT:NewSelection
        DO SetBackground
      END
    END
    CASE ACCEPTED()
    OF ?ThemeBlue
      ColorName = 'BLUE'
      DO SetTheme
    OF ?ThemeGray
      ColorName = 'GRAY'
      DO SetTheme
    OF ?ThemeYellow
      ColorName = 'YELLOW'
      DO SetTheme
    OF ?Exit
      BREAK
    END
  END
  CLOSE(AppFrame)

SetTheme ROUTINE

  PathName = 'C:\CLARION4\IMAGES\THEMES\' & CLIP(ColorName) & '\'
  ?Button1{PROP:Icon} = CLIP(PathName) & 'CanPrint.GIF'
  ?Button2{PROP:Icon} = CLIP(PathName) & 'Insert.GIF'
  ?Button3{PROP:Icon} = CLIP(PathName) & 'Edit.GIF'
  ?Button4{PROP:Icon} = CLIP(PathName) & 'Delete.GIF'
  DO SetBackground

SetBackground ROUTINE

  AppFrame{PROP:WallPaper} = CLIP(PathName) & 'Bkgnd' & BackgroundNumber & '.GIF'
  AppFrame{PROP:Tiled} = 1
  DISPLAY



